% This script generates the angles s1 and s2 between the star unit vector and the ECI reference
% frame to be used in the Star Sensor: s2 is the angle formed by the star
% direction vector on the plane XZ of the ECI reference in the negative X
% sense and in the positive Z sense; s1 is the angle formed by the star
% direction vector on the plane XY of the ECI reference in the negative X
% sense and in the positive y sense. Star sensor FOV is considered to be
% 40. Both angles s1 and s2 are setted to be 15 (s2=15 with respect
% to the orbit normal, in order to see the star with satellite
% oscillations <5).%

% Questo script genera gli angoli che forma la direzione della stella per lo star 
% sensor con la terna ECI, utilizzando gli angoli s1 ed s2: s2  l'angolo
% che forma la direzione della stella sul piano XZ del rif. ECI nel verso 
% delle X negative e delle Z positive.
% Invece s1  l'angolo che forma la proiezione della direzione della stella 
% sul piano XY del rif. ECI nel verso delle Y positive e delle X negative.
% Poich si considera uno star sensor con un FOV di 40, la stella deve stare
% dentro un cono di emiangolo solido di 20. Per assicurarsi che il 
% satellite veda sempre la stella anche in condizioni di "disagio", si impone
% gli angoli s1 ed s2 entrambi pari a 15 (s2=15 rispetto la normale 
% orbitale, in modo da poter vedere la stella anche con oscillazioni <5).%


st1d=15; %[deg]%
st2d=26.7; %[deg]%

%st1d=0;
%st2d=0;

st1=st1d*(pi/180); %convert s1 in radians.% Converte s1 in radianti.%
st2=st2d*(pi/180); %convert s2 in radians.% Converte s2 in radianti.%

ECIStd=[-cos(st2)*cos(st1), sin(st1), cos(st1)*sin(st2)];




